## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    testssl
Version: 3.2.0
Release: %autorelease

Summary: Testing TLS/SSL encryption
License: GPL-2.0-only
URL:     https://testssl.sh/
Source0: https://github.com/drwetter/testssl.sh/archive/refs/tags/v%{version}.tar.gz

BuildArch: noarch

BuildRequires: coreutils
BuildRequires: sed

Requires: bash
# dig, host, nslookup
Requires: bind-utils
# /etc/pki/tls
Requires: ca-certificates
Requires: coreutils
Requires: gawk
# locale
Requires: glibc-common
Requires: grep
Requires: hostname
# tput
Requires: ncurses
Requires: openssl >= 1
# ps
Requires: procps-ng
Requires: sed
# hexdump, kill
Requires: util-linux

%description
testssl.sh is a free command line tool which checks a server's service on any
port for the support of TLS/SSL ciphers, protocols as well as recent
cryptographic flaws and more.

%prep
%autosetup -n %{name}.sh-%{version}
# remove pre-compiled binaries
rm -rf bin/*
sed --in-place '1s#^\#!/usr/bin/env bash$#\#!/bin/bash#' %{name}.sh etc/client-simulation.txt
sed --in-place 's#^TESTSSL_INSTALL_DIR=.*$#TESTSSL_INSTALL_DIR="%{_datadir}/%{name}"#' %{name}.sh
sed --in-place 's#^CA_BUNDLES_PATH=.*$#CA_BUNDLES_PATH="/etc/pki/tls"#' %{name}.sh
sed --in-place '0,/.SH "COPYRIGHT"/s#testssl\\.sh#testssl#g' doc/%{name}.1

%build

%install
install -D --preserve-timestamps %{name}.sh %{buildroot}%{_bindir}/%{name}

for file in ca_hashes.txt cipher-mapping.txt client-simulation.txt common-primes.txt tls_data.txt README.md
do
        install -D --preserve-timestamps --mode=0644 etc/${file} %{buildroot}%{_datadir}/%{name}/etc/${file}
done

install -d %{buildroot}%{_mandir}/man1
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc CHANGELOG.md Readme.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/testssl.1*

%changelog
## START: Generated by rpmautospec
* Thu Apr 24 2025 Christian Krause <chkr@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0 - Closes rhbz#2341989

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.2~rc3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2~rc3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2~rc3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 09 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.2~rc3-1
- Update to 3.2rc3 - Closes rhbz#2243652

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.8-1
- Update to 3.0.8 - Closes rhbz#2131338

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.7-1
- Update to 3.0.7 - Closes rhbz#2056225

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.6-1
- Updated to 3.0.6 (BZ #2010097)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.0.5-1
- Updated to 3.0.5 (BZ #1959233)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 21 2020 Christian Krause <chkr@fedoraproject.org> - 3.0.4-1
- Updated to 3.0.4 (BZ #1750167)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 09 2020 Christian Krause <chkr@fedoraproject.org> - 3.0.2-1
- Updated to 3.0.2 (BZ #1750167)
- Updated installed documentation files
- Added provided man page (adjusted to Fedora's script name "testssl")

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Michael Kuhn <suraia@fedoraproject.org> - 2.9.5-1
- Update to 2.9.5

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 13 2017 Michael Kuhn <suraia@fedoraproject.org> - 2.8-1
- Update to 2.8

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-0.2.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Michael Kuhn <suraia@fedoraproject.org> - 2.8-0.1.rc3
- Update to 2.8rc3.

* Wed Feb 24 2016 Michael Kuhn <suraia@fedoraproject.org> - 2.6-3
- Add BuildRequires for coreutils.
- Fix shebang.
- Install openssl-rfc.mappping.html.

* Tue Feb 23 2016 Michael Kuhn <suraia@fedoraproject.org> - 2.6-2
- Require OpenSSL >= 1.
- Add Requires for miscellaneous utilities.
- Install mapping-rfc.txt.

* Thu Feb 18 2016 Michael Kuhn <suraia@fedoraproject.org> - 2.6-1
- Initial package.

## END: Generated by rpmautospec
